<div class="mt-0">
    <div class="title mb-2">
        <h3>
          {{'humanresources.employees' | translate}}
          <div class="spinner-border" role="status" *ngIf="loading">
              <span class="visually-hidden">{{ 'shared.loading' | translate }}</span>
          </div>
        </h3>
    </div>
    <div class="mb-3">
        <div class="d-flex justify-content-end">
            <div class="d-flex align-items-center me-2">
                <span class="me-2" aria-readonly="true">{{'humanresources.filter' | translate}}</span>
                <select class="form-select me-3" aria-label="Дате" (change)="filterDate($event)">
                    <option value="" selected>{{'humanresources.date' | translate}}</option>
                    <option value="today">На сегодня</option>
                    <option value="week">За неделю</option>
                    <option value="month">За месяц</option>
                    <option value="year">За год</option>
                </select>
                <button (click)="newCandidate()" class="btn btn-outline-dark d-flex">
                    <i class="bi bi-plus-lg me-2"></i>{{'humanresources.add' | translate}}</button>
            </div>
        </div>
    </div>
    <div class="border rounded" *ngIf="candidatesList?.items.length !== 0">
        <table class="table table-striped">
            <thead>
                <tr class="text-center">
                    <th scope="col">№</th>
                    <th scope="col">ИИН<a (click)="sortAz('iin')"><i class="bi bi-sort-alpha-down"></i></a></th>
                    <th scope="col">{{'humanresources.fullname' | translate}}<a (click)="sortAz('login')"><i class="bi bi-sort-alpha-down"></i></a></th>
                    <th scope="col">{{'humanresources.tableStatus' | translate}} <a (click)="sortAz('currentStatus')"><i class="bi bi-sort-alpha-down"></i></a></th>
                    <th scope="col">{{'humanresources.tableDate' | translate}}<a (click)="sortAz('dateOfApplication')"><i class="bi bi-sort-alpha-down"></i></a></th>
                </tr>
            </thead>

            <tbody>
                <tr *ngFor="let user of candidatesList?.items" role="button" (click)="onDetail(user.id)">
                    <td>{{user.number}}</td>
                    <td>{{user.iin}}</td>
                    <td>{{getFullName(user?.owner)}}</td>
                    <td>
                        <div class="status mx-auto">{{user.currentStatus?.name}}</div></td>
                    <td>{{user.dateOfApplication | date: 'dd.MM.yyyy'}}</td>
                </tr>
            </tbody>
        </table>
        <ngb-pagination [collectionSize]="candidatesList?.count" (pageChange)="setPage($event)"></ngb-pagination>
    </div>
</div>
<app-empty-list *ngIf="candidatesList?.items.length === 0"></app-empty-list>
